"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
function BSNumberField(props) {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("label", { htmlFor: props.id, className: "form-label" }, props.label),
        react_1.default.createElement("input", { type: "number", className: "form-control" + (props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: props.value, placeholder: props.placeholder, disabled: props.disabled, onChange: props.onChange, onBlur: props.onBlur, "aria-describedby": props.describedBy }),
        props.description && (react_1.default.createElement("div", { id: props.describedBy, className: "form-text" }, props.description)),
        props.error && react_1.default.createElement("div", { className: "invalid-feedback" }, props.error)));
}
exports.default = BSNumberField;
//# sourceMappingURL=BSNumberField.js.map