import { ReactElement } from 'react';
interface FormState {
    Form: () => ReactElement;
}
export declare const renderForm: (hook: () => FormState) => (() => ReactElement);
export declare const minimalTextFieldForm: (props?: {
    description?: string | undefined;
} | undefined) => FormState;
export declare const minimalTextAreaFieldForm: (props?: {
    description?: string | undefined;
} | undefined) => FormState;
export declare const minimalSelectFieldForm: (props?: {
    description?: string | undefined;
} | undefined) => FormState;
export declare const minimalCheckBoxFieldForm: (props?: {
    description?: string | undefined;
} | undefined) => FormState;
export declare const minimalNumberFieldForm: (props?: {
    description?: string | undefined;
} | undefined) => FormState;
export {};
