"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
function BSCheckBoxField(props) {
    return (react_1.default.createElement("div", { className: "form-check" },
        react_1.default.createElement("input", { type: "checkbox", className: "form-check-input", id: props.id, name: props.name, value: props.value, disabled: props.disabled, onChange: props.onChange, onBlur: props.onBlur, "aria-describedby": props.describedBy }),
        react_1.default.createElement("label", { className: "form-check-label", htmlFor: props.id }, props.label),
        props.description && (react_1.default.createElement("div", { id: props.describedBy, className: "form-text" }, props.description)),
        props.error && react_1.default.createElement("div", { className: "invalid-feedback" }, props.error)));
}
exports.default = BSCheckBoxField;
//# sourceMappingURL=BSCheckBoxField.js.map