import React from 'react';
export default function BSCheckBoxField(props) {
    return (React.createElement("div", { className: "form-check" },
        React.createElement("input", { type: "checkbox", className: "form-check-input", id: props.id, name: props.name, value: props.value, disabled: props.disabled, onChange: props.onChange, onBlur: props.onBlur, "aria-describedby": props.describedBy }),
        React.createElement("label", { className: "form-check-label", htmlFor: props.id }, props.label),
        props.description && (React.createElement("div", { id: props.describedBy, className: "form-text" }, props.description)),
        props.error && React.createElement("div", { className: "invalid-feedback" }, props.error)));
}
//# sourceMappingURL=BSCheckBoxField.js.map