import React from 'react';
export default function BSSelectField(props) {
    var _a;
    return (React.createElement(React.Fragment, null,
        props.label && (React.createElement("label", { htmlFor: props.id, className: "form-label" }, props.label)),
        React.createElement("select", { className: "form-select" + (props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: props.value, disabled: props.disabled, onChange: props.onChange, onBlur: props.onBlur, "aria-describedby": props.describedBy },
            React.createElement("option", { value: "-placeholder-", disabled: true }, (_a = props.placeholder) !== null && _a !== void 0 ? _a : ''),
            props.options.map(function (option) { return (React.createElement("option", { key: option.value, value: option.value }, option.label)); })),
        props.description && (React.createElement("div", { id: props.describedBy, className: "form-text" }, props.description)),
        props.error && React.createElement("div", { className: "invalid-feedback" }, props.error)));
}
//# sourceMappingURL=BSSelectField.js.map